Bug 143630 - [Update]devel/p5-Moose:update to 0.96
Summary: [Update]devel/p5-Moose:update to 0.96
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-07 09:00 UTC by Wen Heping
Modified: 2010-02-11 17:30 UTC (History)
0 users

See Also:


Attachments
file.diff (130 bytes, patch)
2010-02-07 09:00 UTC, Wen Heping
no flags Details | Diff
file.diff (13.68 KB, patch)
2010-02-07 09:00 UTC, Wen Heping
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wen Heping freebsd_committer 2010-02-07 09:00:08 UTC
Update to 0.96

Fix: PORTNAME=      Moose
-PORTVERSION=   0.93
-PORTREVISION=  1
+PORTVERSION=   0.96
 CATEGORIES=    devel perl5
 MASTER_SITES=  CPAN
 MASTER_SITE_SUBDIR=    ../by-authors/id/F/FL/FLORA
@@ -105,12 +104,14 @@
        Moose::Meta::Method::Delegation.3 \
        Moose::Meta::Method::Destructor.3 \
        Moose::Meta::Method::Overridden.3 \
+       Moose::Meta::Mixin::AttributeCore.3 \
        Moose::Meta::Role.3 \
        Moose::Meta::Role::Application.3 \
        Moose::Meta::Role::Application::RoleSummation.3 \
        Moose::Meta::Role::Application::ToClass.3 \
        Moose::Meta::Role::Application::ToInstance.3 \
        Moose::Meta::Role::Application::ToRole.3 \
+       Moose::Meta::Role::Attribute.3 \
        Moose::Meta::Role::Composite.3 \
        Moose::Meta::Role::Method.3 \
        Moose::Meta::Role::Method::Conflicting.3 \
Comment 1 Edwin Groothuis freebsd_committer 2010-02-07 09:00:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-02-07 09:00:26 UTC
Maintainer of devel/p5-Moose,

Please note that PR ports/143630 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143630

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-02-07 09:00:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Sahil Tandon 2010-02-11 03:59:50 UTC
Moose 0.96 requires Class::MOP 0.98 or higher, so the port's Makefile
needs to be revised to check for p5-Class-MOP>=0.98.

By the way, Moose 0.98 was released on 10 Feb 2010 in case you want to
use this as an opportunity to submit a revised patch that updates
devel/p5-Moose to that version.  Otherwise, I will take care of it when
I have some time.  Thanks for your help, wen!

-- 
Sahil Tandon <sahil@tandon.net>
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2010-02-11 06:41:50 UTC
State Changed
From-To: feedback->closed

From misfiled PR ports/143783: 

Date: Wed, 10 Feb 2010 20:12:45 -0500 
Comment 6 dfilter service freebsd_committer 2010-02-11 17:26:19 UTC
pgollucci    2010-02-11 17:26:06 UTC

  FreeBSD ports repository

  Modified files:
    devel/p5-Moose       Makefile distinfo pkg-plist 
  Log:
  - Update to 0.98
  - update dependencies
  
  PR:             ports/143763, ports/143630
  Submitted by:   wen, pgollucci (myself)
  Approved by:    sahil@tandon.net (maintainer)
  
  Revision  Changes    Path
  1.65      +5 -4      ports/devel/p5-Moose/Makefile
  1.59      +3 -3      ports/devel/p5-Moose/distinfo
  1.28      +139 -134  ports/devel/p5-Moose/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"